Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Class RMMsgContext

    java.lang.Object
      org.apache.sandesha2.RMMsgContext

public class RMMsgContext
extends java.lang.Object

This class is used to hold a MessageContext within Sandesha. This is used to easily manupilate the properties of a MessageContext.

Constructor Summary
`RMMsgContext()`
`RMMsgContext(org.apache.axis2.context.MessageContext ctx)`

Method Summary
`void` | `addRelatesTo(org.apache.axis2.addressing.RelatesTo relatesTo)`
`void` | `addSOAPEnvelope()` To add a new SOAP envelope to the message.
`org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()`
`org.apache.axis2.addressing.EndpointReference` | `getFaultTo()`
`int` | `getFlow()`
`org.apache.axis2.addressing.EndpointReference` | `getFrom()`
`java.lang.String` | `getGeneratedSequenceId()` This will return the sequenceId if it could be derived from the SOAP envelope, in the message initiation.
`org.apache.axis2.context.MessageContext` | `getMessageContext()`
`java.lang.String` | `getMessageId()`
`IOMRMPart` | `getMessagePart(int partId)`
`java.util.Iterator` | `getMessageParts(int partId)`
`int` | `getMessageType()`
`java.lang.Object` | `getProperty(java.lang.String key)`
`org.apache.axis2.addressing.RelatesTo` | `getRelatesTo()`
`org.apache.axis2.addressing.EndpointReference` | `getReplyTo()`
`java.lang.String` | `getRMNamespaceValue()`
`java.lang.String` | `getRMSpecVersion()` Gives the RM version.
`org.apache.axiom.soap.SOAPEnvelope` | `getSOAPEnvelope()`
`org.apache.axis2.addressing.EndpointReference` | `getTo()`
`java.lang.String` | `getWSAAction()`
`boolean` | `isMultiPart(int messagePartId)`
`void` | `pause()`
`void` | `removeMessageParts(int messageType)`
`void` | `setAction(java.lang.String action)`
`void` | `setFaultTo(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setFlow(int flow)`
`void` | `setFrom(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setMessageContext(org.apache.axis2.context.MessageContext msgCtx)`
`void` | `setMessageId(java.lang.String messageId)`
`void` | `setMessagePart(int partId, IOMRMPart part)` Sets an IRMPart object to the MessageContext.
`void` | `setMessageType(int msgType)` The message type can be used to easily identify what this message is.
`void` | `setPaused(boolean pause)`
`boolean` | `setProperty(java.lang.String key, java.lang.Object val)`
`void` | `setReplyTo(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setRMNamespaceValue(java.lang.String rmNamespaceValue)`
`void` | `setSOAPAction(java.lang.String SOAPAction)`
`void` | `setSOAPEnvelop(org.apache.axiom.soap.SOAPEnvelope envelope)`
`void` | `setTo(org.apache.axis2.addressing.EndpointReference epr)`
`void` | `setWSAAction(java.lang.String URI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMMsgContext

    public RMMsgContext()

### RMMsgContext

    public RMMsgContext(org.apache.axis2.context.MessageContext ctx)

Method Detail

### setMessageContext

    public void setMessageContext(org.apache.axis2.context.MessageContext msgCtx)

### addSOAPEnvelope

    public void addSOAPEnvelope()
                         throws org.apache.axis2.AxisFault

  To add a new SOAP envelope to the message. The generated envelope will belong to the SOAP version of the MessageContext. We will be going through each MessagePart and adding it to the envelope. In other words all the MessageParts that are available in the RMMsg will be added to the SOAP envelope after this.

  Throws:
    `SandeshaException`
    `org.apache.axis2.AxisFault`

### getMessageType

    public int getMessageType()

### setMessageType

    public void setMessageType(int msgType)

  The message type can be used to easily identify what this message is. Possible message types are given in the Constnts.MessageTypes interface.

  Parameters:
    `msgType` -

### setMessagePart

    public void setMessagePart(int partId,
                               IOMRMPart part)

  Sets an IRMPart object to the MessageContext. Possible parts are give in the

  Parameters:
    `partId` -
    `part` -

### getMessagePart

    public IOMRMPart getMessagePart(int partId)
                             throws SandeshaException

  Throws:
    `SandeshaException`

### getMessageParts

    public java.util.Iterator getMessageParts(int partId)

### removeMessageParts

    public void removeMessageParts(int messageType)

### isMultiPart

    public boolean isMultiPart(int messagePartId)

### getFrom

    public org.apache.axis2.addressing.EndpointReference getFrom()

### getTo

    public org.apache.axis2.addressing.EndpointReference getTo()

### getReplyTo

    public org.apache.axis2.addressing.EndpointReference getReplyTo()

### getRelatesTo

    public org.apache.axis2.addressing.RelatesTo getRelatesTo()

### getMessageId

    public java.lang.String getMessageId()

### setFaultTo

    public void setFaultTo(org.apache.axis2.addressing.EndpointReference epr)

### getFaultTo

    public org.apache.axis2.addressing.EndpointReference getFaultTo()

### getSOAPEnvelope

    public org.apache.axiom.soap.SOAPEnvelope getSOAPEnvelope()

### setSOAPEnvelop

    public void setSOAPEnvelop(org.apache.axiom.soap.SOAPEnvelope envelope)
                        throws SandeshaException

  Throws:
    `SandeshaException`

### setFrom

    public void setFrom(org.apache.axis2.addressing.EndpointReference epr)

### setTo

    public void setTo(org.apache.axis2.addressing.EndpointReference epr)

### setReplyTo

    public void setReplyTo(org.apache.axis2.addressing.EndpointReference epr)

### setMessageId

    public void setMessageId(java.lang.String messageId)

### setAction

    public void setAction(java.lang.String action)

### addRelatesTo

    public void addRelatesTo(org.apache.axis2.addressing.RelatesTo relatesTo)

### setWSAAction

    public void setWSAAction(java.lang.String URI)

### getWSAAction

    public java.lang.String getWSAAction()

### getMessageContext

    public org.apache.axis2.context.MessageContext getMessageContext()

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.Object val)

### getConfigurationContext

    public org.apache.axis2.context.ConfigurationContext getConfigurationContext()

### setSOAPAction

    public void setSOAPAction(java.lang.String SOAPAction)

### pause

    public void pause()

### setPaused

    public void setPaused(boolean pause)

### getRMNamespaceValue

    public java.lang.String getRMNamespaceValue()

### setRMNamespaceValue

    public void setRMNamespaceValue(java.lang.String rmNamespaceValue)

### getRMSpecVersion

    public java.lang.String getRMSpecVersion()

  Gives the RM version.

  Returns:
    Can be either or

### setFlow

    public void setFlow(int flow)

### getFlow

    public int getFlow()

### getGeneratedSequenceId

    public java.lang.String getGeneratedSequenceId()

  This will return the sequenceId if it could be derived from the SOAP envelope, in the message initiation.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.